import org.example.HBaseService;
import org.example.Main;
import org.junit.jupiter.api.Test;
import org.springframework.boot.test.context.SpringBootTest;

import javax.annotation.Resource;
import java.util.ArrayList;
import java.util.Arrays;

@SpringBootTest(classes = Main.class)
public class HBaseTest {

    @Resource
    HBaseService hBaseService;

    @Test
    public void testCreateTable() {
        hBaseService.creatTable("table1", Arrays.asList("col1", "col2"));

    }

    @Test
    public void queryTable() {
        System.out.println(hBaseService.getAllTableNames());
    }

    @Test
    public void queryData() {
        System.out.println(hBaseService.getResultScanner("table1"));
    }

    @Test
    public void testPutData() {
        String[] col = {"col", "col2"};
        String[] val = {"data1", "data2"};
        hBaseService.putData("table1","1","col1", col,val);
    }
}
