import net.spy.memcached.MemcachedClient;
import org.example.Main;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;

import java.io.IOException;
import java.net.InetSocketAddress;
import java.util.concurrent.ExecutionException;
import java.util.concurrent.Future;

@SpringBootTest(classes = Main.class)
public class MemcachedTest {

    @Autowired
    MemcachedClient memcachedClient;
    @Test
    void test() throws IOException, ExecutionException, InterruptedException {


        //设置缓存   过期时间单位为秒， 0表示永远不过期
        Future future = memcachedClient.set("yk", 5, "yukun");

        Object data;

        System.out.println("************* :  "+future.get());//返回状态 true or false
        data= memcachedClient.get("yk");
        System.out.println("第一次取出数据："+data);

        try {
            Thread.sleep(5000);
        } catch (InterruptedException e) {
            e.printStackTrace();
        }
        data = memcachedClient.get("yk");
        System.out.println("第二次取出数据："+data);

        memcachedClient.shutdown();
    }
}
